/*-
 * Copyright (c) 1998 Michael Smith <msmith@freebsd.org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include <sys/cdefs.h>
__FBSDID("$FreeBSD$");

/*
 * i386-specific module functionality.
 *
 */

#include <stand.h>
#include <string.h>

#include "bootstrap.h"
#include "libi386.h"

/*
 * Use voodoo to load modules required by current hardware.
 */
int
i386_autoload(void)
{
    int		error;
    int		disabled;
    char	*rv;

    /* XXX use PnP to locate stuff here */

    /* autoload ACPI support */
    /* XXX should be in 4th keyed off acpi_load */
    disabled = 0;
    rv = getenv("hint.acpi.0.disabled");
    if (rv != NULL && strncmp(rv, "0", 1) != 0) {
	disabled = 1;
    }

    if (getenv("acpi_load") && (!disabled)) {
	error = mod_load("acpi", NULL, 0, NULL);
	if (error != 0)
	    printf("ACPI autoload failed - %s\n", strerror(error));
    }

    return(0);
}
